package com.trade.service.trade.exportrebate.dto;

import java.math.BigDecimal;

/**
 * 出口退税明细合计数据
 */
public class TaxRebateTotalDataDto {
    /**
     * 申报笔数
     */
    private Integer totalCount;
    /**
     * 报关单数量（18位）
     */
    private String customsDeclarationCount;
    /**
     * 出口总额（美元，万元）
     */
    private BigDecimal exportTotalAmount;
    /**
     * 采购发票张数
     */
    private Integer purchaseInvoiceCount;
    /**
     * 退税总额（人民币，万元）
     */
    private BigDecimal taxRebateTotalAmount;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public String getCustomsDeclarationCount() {
        return customsDeclarationCount;
    }

    public void setCustomsDeclarationCount(String customsDeclarationCount) {
        this.customsDeclarationCount = customsDeclarationCount;
    }

    public BigDecimal getExportTotalAmount() {
        return exportTotalAmount;
    }

    public void setExportTotalAmount(BigDecimal exportTotalAmount) {
        this.exportTotalAmount = exportTotalAmount;
    }

    public Integer getPurchaseInvoiceCount() {
        return purchaseInvoiceCount;
    }

    public void setPurchaseInvoiceCount(Integer purchaseInvoiceCount) {
        this.purchaseInvoiceCount = purchaseInvoiceCount;
    }

    public BigDecimal getTaxRebateTotalAmount() {
        return taxRebateTotalAmount;
    }

    public void setTaxRebateTotalAmount(BigDecimal taxRebateTotalAmount) {
        this.taxRebateTotalAmount = taxRebateTotalAmount;
    }
}
